×

INDI Library v1.9.0 Released (23 Apr 2021)

Major INDI Library release v1.9.0 bring significant internal changes championed by @pawel-soja to modernize core INDI Library drivers and clients. New drivers for DeepSkyDad Flat Panel & Pegasus devices plus further improvements to PCM8 drivers.

Current MacOS Build?

  • Posts: 100
  • Thank you received: 8

Replied by AirBourn on topic Current MacOS Build?

Trying to build latest on 11.2.3 MacBook Air.  See this:

<code> ========================================================================================================================
*** Handling package: python-modules/pip-system, action: all ***
*** Action: fetch-binary for python-modules/pip-system ***
Could not find python-modules/pip-system=3.5 in files.kde.org/craft/master/Qt_5.15.2/mac...clang/RelWithDebInfo
Could not find python-modules/pip-system=3.5 in files.kde.org/craft/master/Qt_5.15.2/macos/64/clang/Release
*** python-modules/pip-system not found in cache ***
*** Action: fetch for python-modules/pip-system ***
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed 0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
curl: (22) The requested URL returned error: 404</code>
Last edit: 2 months 3 weeks ago by AirBourn.
2 months 3 weeks ago #69083

Please Log in or Create an account to join the conversation.

  • Posts: 100
  • Thank you received: 8

Replied by AirBourn on topic Current MacOS Build?

Anyone else trying Rob's new build script with the included Qt? I like the idea much better, but it's not compiling for me on 11.2.3 with XCode 12.4. Something in indiserver is failing:

[123/501] Building CXX object CMakeFiles/indidriverstatic.dir/libs/indibase/thread/indisinglethreadpool.cpp.o
ninja: build stopped: subcommand failed.
Action: compile for libs/indiserver:Latest FAILED
*** Craft all failed: libs/indiserver after 1 minute 30 seconds ***
fatal error: package libs/indiserver all failed
Craft stopped with out completing

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
~ Something failed
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
2 months 3 weeks ago #69113

Please Log in or Create an account to join the conversation.

  • Posts: 2475
  • Thank you received: 667

Replied by Rob Lancaster on topic Current MacOS Build?

I just tried It, it looks like somebody made an INDI change that was not Mac friendly.  Here was the error:

FAILED: CMakeFiles/indidriverstatic.dir/libs/indibase/timer/inditimer.cpp.o<strong>/Users/rlancaste/AstroRoot/craft-root/download/git/libs/indiserver/libs/indibase/timer/inditimer.cpp:125:31: </strong><strong>error: </strong><strong>no member named 'max' in namespace 'std'; did you mean 'fmax'?</strong>    return d->timerId != -1 ? std::max(remainingTimer(d->timerId), 0) : 0;<strong>                              ^~~~~~~~</strong>                              fmax

I will check it out, its probably a real quick fix
Last edit: 2 months 3 weeks ago by Rob Lancaster.
2 months 3 weeks ago #69125

Please Log in or Create an account to join the conversation.

  • Posts: 2475
  • Thank you received: 667

Replied by Rob Lancaster on topic Current MacOS Build?

Yep, it was a simple fix, I just submitted a pull request.  github.com/indilib/indi/pull/1396
2 months 3 weeks ago #69126

Please Log in or Create an account to join the conversation.

  • Posts: 28
  • Thank you received: 0

Replied by Maciek on topic Current MacOS Build?

When I am in "Object detail" under Mac Kstars 3.5.2 there is no image there. When I click on it I got:
"Unable to create io-slave. Can not find 'kioslave5' executable at '/Applications/kstars.app/Contents/MacOS, /Applications/kstars.app/Contents/libexec, /Applications/kstars.app/Contents/libexec/kf5, /Users/rlancaste/AstroRoot/craft-root/lib/libexec/kf5'"

Where I can report it ? Is there any quick fix?
Kstars was installed via home-brew cask
2 months 3 weeks ago #69146

Please Log in or Create an account to join the conversation.

  • Posts: 2475
  • Thank you received: 667

Replied by Rob Lancaster on topic Current MacOS Build?

Please install KStars from the KDE download page, or you can try building the latest GIT using my script.  I was not involved in creating a homebrew cask and don't know if it builds/installs KStars properly with all the files it needs to work.
2 months 3 weeks ago #69153

Please Log in or Create an account to join the conversation.

  • Posts: 100
  • Thank you received: 8

Replied by AirBourn on topic Current MacOS Build?

Now seeing this error trying to build kguiaddons:

<code>-- Could not set up the appstream test. appstreamcli is missing.
-- Could NOT find Qt5WaylandClient (missing: Qt5WaylandClient_DIR)CMake Error at /Users/bryan/Development/AstroRoot/craft-root/dev-utils/cmake-base/CMake.app/Contents/share/cmake-3.19/Modules/FindPackageHandleStandardArgs.cmake:218 (message): 
Could NOT find QtWaylandScanner (missing: QtWaylandScanner_EXECUTABLE)
Call Stack (most recent call first): 
/Users/bryan/Development/AstroRoot/craft-root/dev-utils/cmake-base/CMake.app/Contents/share/cmake-3.19/Modules/FindPackageHandleStandardArgs.cmake:577
(_FPHSA_FAILURE_MESSAGE)  /Users/bryan/Development/AstroRoot/craft-root/share/ECM/find-modules/FindQtWaylandScanner.cmake:78 (find_package_handle_standard_args) 
CMakeLists.txt:43 (find_package)  
-- Configuring incomplete, errors occurred!See also "/Users/bryan/Development/AstroRoot/craft-root/build/kde/frameworks/tier1/kguiaddons/work/build/CMakeFiles/CMakeOutput.log".See also "/Users/bryan/Development/AstroRoot/craft-root/build/kde/frameworks/tier1/kguiaddons/work/build/CMakeFiles/CMakeError.log".Action: compile for kde/frameworks/tier1/kguiaddons:5.77.0 FAILED
***Craft all failed: kde/frameworks/tier1/kguiaddons after 3 seconds
***fatal error: package kde/frameworks/tier1/kguiaddons all failed</code>
Last edit: 2 months 3 weeks ago by AirBourn.
2 months 3 weeks ago #69333

Please Log in or Create an account to join the conversation.

  • Posts: 2475
  • Thank you received: 667

Replied by Rob Lancaster on topic Current MacOS Build?

Hi, sorry I missed this message, but when I was building the new Mac DMG, I encountered the same problem.  Apparently the craft recipe is trying to use a dependency that doesn't exist on Macs.  I think I managed to change the recipe to avoid this.  It should work now.
1 month 2 weeks ago #70869

Please Log in or Create an account to join the conversation.

Time to create page: 0.484 seconds